#Makefile for image operation functions of psLib
#
noinst_LTLIBRARIES = libpslibimageops.la

libpslibimageops_la_CPPFLAGS = $(SRCINC) $(PSLIB_CFLAGS) $(GSL_CFLAGS)
libpslibimageops_la_SOURCES = \
	psImageBackground.c \
	psImageConvolve.c \
	psImageGeomManip.c \
	psImagePixelExtract.c \
	psImagePixelManip.c \
	psImageStats.c \
	psImageStructManip.c \
	psImageMaskOps.c \
	psImageUnbin.c

EXTRA_DIST = imageops.i

pkginclude_HEADERS = \
	psImageBackground.h \
	psImageConvolve.h \
	psImageGeomManip.h \
	psImagePixelExtract.h \
	psImagePixelManip.h \
	psImageStats.h \
	psImageStructManip.h \
	psImageMaskOps.h \
	psImageUnbin.h

CLEANFILES = *~ *.bb *.bbg *.da
